#!/bin/bash
#------------------------------------------------------------------------------
# Copyright (c) 2010-2018 Olaf Jaehrling <eisfair(at)ojaehrling.(dot)de>
#
# Creation:     10.11.2010 by Olaf Jaehrling
# Last Update:  29.08.2018 by Olaf Jaehrling
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License
#------------------------------------------------------------------------------

package='ttytter'
package_name='ttytter'

. /var/install/include/eislib
mecho -info 'installing ttytter ...'

if ! grep -wq setup.services.ttytter.menu /var/install/menu/setup.services.menu
then
    mecho -info "insert ttytter service menu ..."
    ### add menu
    /var/install/bin/add-menu           \
     setup.services.menu                \
     setup.services.$package.menu       \
     $package_name

fi
mkdir -p /usr/local/ttytter/Keys

mecho --info "You can create the keyfile with"
mecho --info 'setup > Service administration > ttytter > Generate keyfile'

if [ -f /tmp/ttytter_keys_bu.tar ]
then
    cd /
    tar xf /tmp/ttytter_keys_bu.tar
    rm /tmp/ttytter_keys_bu.tar
fi
if [ ! -f /var/certs/ssl/certs/VeriSign_Class_3_Public_Primary_Certification_Authority_-_G4.pem ]
then
    mecho --info "Please don't forget to go to the certs-packet setup and do "
    mecho --info "download the ca certificate bundle!"
    mecho --info "setup ->Service administration ->Certs Service ->Download ca certificate bundle"
    rm -f /tmp/ttytter_no_certs.tmp
fi
sleep 10
